summaryrefslogtreecommitdiff
path: root/packages/freesmartphone/python-ophoned/ophoned
diff options
context:
space:
mode:
Diffstat (limited to 'packages/freesmartphone/python-ophoned/ophoned')
-rw-r--r--packages/freesmartphone/python-ophoned/ophoned40
1 files changed, 40 insertions, 0 deletions
diff --git a/packages/freesmartphone/python-ophoned/ophoned b/packages/freesmartphone/python-ophoned/ophoned
new file mode 100644
index 0000000000..edc800711a
--- /dev/null
+++ b/packages/freesmartphone/python-ophoned/ophoned
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# ophoned This shell script starts and stops the open phone daemon.
+#
+# chkconfig: 345 90 20
+# description: py-ophoned is the open phone daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=ophoned
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+ start)
+ echo -n "Starting open phone daemon: "
+ start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/ophoned
+ if [ $? = 0 ]; then
+ echo "(ok)"
+ else
+ echo "(failed)"
+ fi
+ ;;
+ stop)
+ echo -n "Stopping open phone daemon: "
+ start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+ rm -f /var/run/${NAME}.pid
+ echo "(done)"
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/ophoned {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0